/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/02/08
// RCS-ID:      $Id: hellosvc.h,v 1.3 2001/04/04 12:42:37 aleksandras Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:   	GPL (version 2.0 or later)
/////////////////////////////////////////////////////////////////////////////

#ifndef __HELLOSVC_G__
#define __HELLOSVC_G__

#include "wx/pmf/pm.h"

class HelloService : public wxEvtHandler,
					 public wxPMService
{
public:
	
	HelloService();
	~HelloService();

	enum MY_MENU_COMMANDS { ID_SAY_HELLO = 100 };

	// overriden methods of wxPMService

	virtual bool Start();

	virtual wxPMMergableMenuChain* GetMergableMenuChain();

	virtual wxObject* GetWxObject();

	// event handlers

	void OnSayHello( wxCommandEvent& event );

	DECLARE_EVENT_TABLE()

	// all service classes are dynamic
	DECLARE_DYNAMIC_CLASS( HelloService )
};

#endif // __HELLOSVC_G__
